initialize(){
	initializeMutationRate(1e-7);
	initializeMutationType("m1", 0.5, "f", 0.0) ;//neutral mutation
	initializeMutationType("m2", 0.5, "f", 0.02); // advantageous slightly
	initializeMutationType("m3", 0.5, "f", 0.02); //slightly advantageous
	initializeGenomicElementType("g1", c(m1,m2,m3), c(1,0.01,0.01));
	initializeGenomicElement(g1, 0, 99999);
	initializeRecombinationRate(1e-8);

}
1{
	sim.addSubpop("p1", 5);
	sim.addSubpop("p2", 100);
	p1.setMigrationRates(p2, 0.5); //weak migration from p2 to p1
	p2.setMigrationRates(p1, 0.5); //strong migration from p1 to p2
}
//second scenario: fitness(m2, p2) { return 0.98; } //m2 has 0.98 fitness in p2
//  fitness(m3, p1) { return 0.98; } //m3 has 0.98 fitness in p1

// third scenario: zygosity
//if homozygous then fitness of 0.98 if heterozygous fitness of 0.99 (1+s vs 1+hs and since s = 0.02,  and dominance of 0.5, fitness will be 1-0.02 =0.98 or 1- (0.02*0.5) = 0.99

fitness(m2, p2) { return homozygous ? 0.98 else 0.99; }
fitness(m3, p1) { return homozygous ? 0.98 else 0.99; }

50000{
	catn("m2 fixed: " + sum(sim.substitutions.mutationType == m2));
	catn("m3 fixed: " + sum(sim.substitutions.mutationType == m3));

}
// intially when m2 and m3 were set at just 1% of the genome with similar selective advantage (selective coefficient of 0.02), they got fixed at equal rate m2 fixed = 74 and m3 fixed = 71

//second scenario
//m2 to beneficial in p1 and and deleterious in p2 (spatial variation in terms of fitness)
//similarly for m2 to be beneficial in p2 and deleterious in p1, biased gene flow (strong gene flow from p1 to p2 and weak gene flow from  p2 to p1 causes m2 to rise in p2 where it is deleterious but at the same time m3 because of weaker gene flow from p2 to p1 does not affect p1's fitness much and hence m2 is fixed more often than m3

//So, great – we have a model of spatial variation in selection, and it presents interesting results. We could use it to explore 
// - the effects of different levels of gene flow, 
// - different strengths of selection, //
// - different population sizes, and so forth, in order to fully understand the dynamics it exhibits. Are we done?